WordPress.org

Support

Support » How-To and Troubleshooting » WP 3.5.1 new install with dashboard JS error

WP 3.5.1 new install with dashboard JS error

  • I’ve just made a fresh install of 3.5 and updated to 3.5.1, and either versions give me a dashboard error: submenus and help panels just won’t work.

    I followed this suggestion and enabled define('SCRIPT_DEBUG', true); in wp-config.php. The errors stoped.

    I’m now wondering what could have caused this in a new install.

Viewing 5 replies - 1 through 5 (of 5 total)
  • esmi

    @esmi

    Forum Moderator

    It appears to be host/server specific. Some hosts are using mod_pagespeed quite aggressively and this is creating problems dealing with minified javascripts. The fix you applied stops WP from minifying the scripts.

    Oh… OK. So, should I leave it that way, with define('SCRIPT_DEBUG', true); enabled in wp-config.php?

    esmi

    @esmi

    Forum Moderator

    For the time being, yes. The only other thing you could do in the meantime is to contact your hosts and ask them about mod_pagespeed and its potential effect on minified javascripts in WordPress. They may want to adjust their mod_pagespeed configuration in the short term if they host a number of WordPress sites.

    OK, thanks.

    I’ll do just that.

    The host says it doesn’t have mod_pagespeed enabled or configured. Any other ideas?

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘WP 3.5.1 new install with dashboard JS error’ is closed to new replies.
Skip to toolbar